Account_creator_request

## Typedefs

typedef enum _LinphoneAccountCreatorStatus | LinphoneAccountCreatorStatus
| Enum describing the status of server request, used by the LinphoneAccountCreator.

## Enumerations

enum

_LinphoneAccountCreatorStatus {
LinphoneAccountCreatorStatusRequestOk = 0 ,
LinphoneAccountCreatorStatusRequestFailed = 1 ,
LinphoneAccountCreatorStatusMissingArguments = 2 ,
LinphoneAccountCreatorStatusMissingCallbacks = 3 ,
LinphoneAccountCreatorStatusAccountCreated = 4 ,
LinphoneAccountCreatorStatusAccountNotCreated = 5 ,
LinphoneAccountCreatorStatusAccountExist = 6 ,
LinphoneAccountCreatorStatusAccountExistWithAlias = 7 ,
LinphoneAccountCreatorStatusAccountNotExist = 8 ,
LinphoneAccountCreatorStatusAliasIsAccount = 9 ,
LinphoneAccountCreatorStatusAliasExist = 10 ,
LinphoneAccountCreatorStatusAliasNotExist = 11 ,
LinphoneAccountCreatorStatusAccountActivated = 12 ,
LinphoneAccountCreatorStatusAccountAlreadyActivated = 13 ,
LinphoneAccountCreatorStatusAccountNotActivated = 14 ,
LinphoneAccountCreatorStatusAccountLinked = 15 ,
LinphoneAccountCreatorStatusAccountNotLinked = 16 ,
LinphoneAccountCreatorStatusServerError = 17 ,
LinphoneAccountCreatorStatusPhoneNumberInvalid = 18 ,
LinphoneAccountCreatorStatusWrongActivationCode = 19 ,
LinphoneAccountCreatorStatusPhoneNumberOverused = 20 ,
LinphoneAccountCreatorStatusAlgoNotSupported = 21 ,
LinphoneAccountCreatorStatusUnexpectedError = 22 ,
LinphoneAccountCreatorStatusNotImplementedError = 23 ,
LinphoneAccountCreatorStatusRequestNotAuthorized ,
LinphoneAccountCreatorStatusRequestTooManyRequests
}

| Enum describing the status of server request, used by the LinphoneAccountCreator. More...

## Functions

LinphoneAccountCreatorService * | linphone_account_creator_service_new (void)
| Create a new LinphoneAccountCreatorService object.
LinphoneAccountCreatorService * | linphone_account_creator_service_ref (LinphoneAccountCreatorService *service)
| Acquire a reference to a LinphoneAccountCreatorService object.
void | linphone_account_creator_service_unref (LinphoneAccountCreatorService *service)
| Release a reference to a LinphoneAccountCreatorService object.
void * | linphone_account_creator_service_get_user_data (const LinphoneAccountCreatorService *service)
| Retrieve the user pointer associated with a LinphoneAccountCreatorService object.
void | linphone_account_creator_service_set_user_data (LinphoneAccountCreatorService *service, void *ud)
| Assign a user pointer to a LinphoneAccountCreatorService object.
void | linphone_account_creator_service_set_constructor_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_constructor_cb (const LinphoneAccountCreatorService *service)
| Get the constructor of account creator requests.
void | linphone_account_creator_service_set_destructor_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_destructor_cb (const LinphoneAccountCreatorService *service)
| Get the destructor of create account request.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_create_account_cb (const LinphoneAccountCreatorService *service)
| Get the create account request.
void | linphone_account_creator_service_set_create_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_create_push_account_cb (const LinphoneAccountCreatorService *service)
| Get the create account request.
void | linphone_account_creator_service_set_create_push_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_is_account_exist_cb (const LinphoneAccountCreatorService *service)
| Get the is account exist request.
void | linphone_account_creator_service_set_is_account_exist_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_activate_account_cb (const LinphoneAccountCreatorService *service)
| Get the activate account request.
void | linphone_account_creator_service_set_activate_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_is_account_activated_cb (const LinphoneAccountCreatorService *service)
| Get the is account activated request.
void | linphone_account_creator_service_set_is_account_activated_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_link_account_cb (const LinphoneAccountCreatorService *service)
| Get the link account request.
void | linphone_account_creator_service_set_link_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_activate_alias_cb (const LinphoneAccountCreatorService *service)
| Get the activate alias request.
void | linphone_account_creator_service_set_activate_alias_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_is_alias_used_cb (const LinphoneAccountCreatorService *service)
| Get the is alias used request.
void | linphone_account_creator_service_set_is_alias_used_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_is_account_linked_cb (const LinphoneAccountCreatorService *service)
| Get the is account linked request.
void | linphone_account_creator_service_set_is_account_linked_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_recover_account_cb (const LinphoneAccountCreatorService *service)
| Get the recover account request.
void | linphone_account_creator_service_set_recover_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_update_account_cb (const LinphoneAccountCreatorService *service)
| Get the update account request.
void | linphone_account_creator_service_set_update_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_confirmation_key_cb (const LinphoneAccountCreatorService *service)
| Get the confirmation key request.
void | linphone_account_creator_service_set_confirmation_key_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_login_linphone_account_cb (const LinphoneAccountCreatorService *service)
| Get the login linphone account request.
void | linphone_account_creator_service_set_login_linphone_account_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_send_token_cb (const LinphoneAccountCreatorService *service)
| Get the send token request.
void | linphone_account_creator_service_set_send_token_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Request an auth token for account creator backend to be sent by push.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_account_creation_request_token_cb (const LinphoneAccountCreatorService *service)
| Get the account creation request token request.
void | linphone_account_creator_service_set_account_creation_request_token_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Set the account creation request token request.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_account_creation_token_using_request_token_cb (const LinphoneAccountCreatorService *service)
| Get the account creation token request.
void | linphone_account_creator_service_set_account_creation_token_using_request_token_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Set the account creation token request.
LinphoneAccountCreatorRequestFunc | linphone_account_creator_service_get_create_account_with_token_cb (const LinphoneAccountCreatorService *service)
| Get the create account with token request.
void | linphone_account_creator_service_set_create_account_with_token_cb (LinphoneAccountCreatorService *service, LinphoneAccountCreatorRequestFunc cb)
| Assign a user pointer to a LinphoneAccountCreatorService object.

## Detailed Description

## Enumeration Type Documentation

## _LinphoneAccountCreatorStatus

enum _LinphoneAccountCreatorStatus

Enum describing the status of server request, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorStatusRequestOk | Request status. Request passed
LinphoneAccountCreatorStatusRequestFailed | Request failed.
LinphoneAccountCreatorStatusMissingArguments | Request failed due to missing argument(s).
LinphoneAccountCreatorStatusMissingCallbacks | Request failed due to missing callback(s).
LinphoneAccountCreatorStatusAccountCreated | Account status. Account created
LinphoneAccountCreatorStatusAccountNotCreated | Account not created.
LinphoneAccountCreatorStatusAccountExist | Account exist.
LinphoneAccountCreatorStatusAccountExistWithAlias | Account exist with alias.
LinphoneAccountCreatorStatusAccountNotExist | Account not exist.
LinphoneAccountCreatorStatusAliasIsAccount | Account was created with Alias.
LinphoneAccountCreatorStatusAliasExist | Alias exist.
LinphoneAccountCreatorStatusAliasNotExist | Alias not exist.
LinphoneAccountCreatorStatusAccountActivated | Account activated.
LinphoneAccountCreatorStatusAccountAlreadyActivated | Account already activated.
LinphoneAccountCreatorStatusAccountNotActivated | Account not activated.
LinphoneAccountCreatorStatusAccountLinked | Account linked.
LinphoneAccountCreatorStatusAccountNotLinked | Account not linked.
LinphoneAccountCreatorStatusServerError | Server. Error server
LinphoneAccountCreatorStatusPhoneNumberInvalid | Error cannot send SMS.
LinphoneAccountCreatorStatusWrongActivationCode | Error key doesn't match.
LinphoneAccountCreatorStatusPhoneNumberOverused | Error too many SMS sent.
LinphoneAccountCreatorStatusAlgoNotSupported | Error algo isn't MD5 or SHA-256.
LinphoneAccountCreatorStatusUnexpectedError | Generic error.
LinphoneAccountCreatorStatusNotImplementedError | This API isn't implemented in the current backend.
LinphoneAccountCreatorStatusRequestNotAuthorized | Request has been denied, probably due to invalid auth token.
LinphoneAccountCreatorStatusRequestTooManyRequests | Request has been denied, due to too many requests sent in given period.

## Function Documentation

## linphone_account_creator_service_get_account_creation_request_token_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_account_creation_request_token_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the account creation request token request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The request token cb to be used.

## linphone_account_creator_service_get_account_creation_token_using_request_token_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_account_creation_token_using_request_token_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the account creation token request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The request token cb to be used.

## linphone_account_creator_service_get_activate_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_activate_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the activate account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current activate account request.

## linphone_account_creator_service_get_activate_alias_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_activate_alias_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the activate alias request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current link account request.

## linphone_account_creator_service_get_confirmation_key_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_confirmation_key_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the confirmation key request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current confirmation key request.

## linphone_account_creator_service_get_constructor_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_constructor_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the constructor of account creator requests.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current constructor of create account request.

## linphone_account_creator_service_get_create_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_create_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the create account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current create account request.

## linphone_account_creator_service_get_create_account_with_token_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_create_account_with_token_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the create account with token request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current create account with token request.

## linphone_account_creator_service_get_create_push_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_create_push_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the create account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current create account request.

## linphone_account_creator_service_get_destructor_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_destructor_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the destructor of create account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current destructor of create account request.

## linphone_account_creator_service_get_is_account_activated_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_is_account_activated_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the is account activated request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current is account activated request.

## linphone_account_creator_service_get_is_account_exist_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_is_account_exist_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the is account exist request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current is account exist request.

## linphone_account_creator_service_get_is_account_linked_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_is_account_linked_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the is account linked request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current is account linked request.

## linphone_account_creator_service_get_is_alias_used_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_is_alias_used_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the is alias used request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current is alias used request.

## linphone_account_creator_service_get_link_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_link_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the link account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current link account request.

## linphone_account_creator_service_get_login_linphone_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_login_linphone_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the login linphone account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current login linphone account request.

## linphone_account_creator_service_get_recover_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_recover_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the recover account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current recover account request.

## linphone_account_creator_service_get_send_token_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_send_token_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the send token request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current login linphone account request.

## linphone_account_creator_service_get_update_account_cb()

LinphoneAccountCreatorRequestFunc linphone_account_creator_service_get_update_account_cb | ( | const LinphoneAccountCreatorService * | service | ) |

Get the update account request.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The current update account request.

## linphone_account_creator_service_get_user_data()

void * linphone_account_creator_service_get_user_data | ( | const LinphoneAccountCreatorService * | service | ) |

Retrieve the user pointer associated with a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The user pointer associated with the LinphoneAccountCreatorService object.

## linphone_account_creator_service_new()

LinphoneAccountCreatorService * linphone_account_creator_service_new | ( | void |  | ) |

Create a new LinphoneAccountCreatorService object.

Returns
  a new LinphoneAccountCreatorService object.

## linphone_account_creator_service_ref()

LinphoneAccountCreatorService * linphone_account_creator_service_ref | ( | LinphoneAccountCreatorService * | service | ) |

Acquire a reference to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.

Returns
  The same LinphoneAccountCreatorService object.

## linphone_account_creator_service_set_account_creation_request_token_cb()

void linphone_account_creator_service_set_account_creation_request_token_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Set the account creation request token request.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The request token cb to be used.

## linphone_account_creator_service_set_account_creation_token_using_request_token_cb()

void linphone_account_creator_service_set_account_creation_token_using_request_token_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Set the account creation token request.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The request token cb to be used.

## linphone_account_creator_service_set_activate_account_cb()

void linphone_account_creator_service_set_activate_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The activate account request to be used.

## linphone_account_creator_service_set_activate_alias_cb()

void linphone_account_creator_service_set_activate_alias_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The activate alias request to be used.

## linphone_account_creator_service_set_confirmation_key_cb()

void linphone_account_creator_service_set_confirmation_key_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The confirmation key request to be used.

## linphone_account_creator_service_set_constructor_cb()

void linphone_account_creator_service_set_constructor_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The constructor of account creator requests.

## linphone_account_creator_service_set_create_account_cb()

void linphone_account_creator_service_set_create_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The create account request to be used.

## linphone_account_creator_service_set_create_account_with_token_cb()

void linphone_account_creator_service_set_create_account_with_token_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The create account with token request to be used.

## linphone_account_creator_service_set_create_push_account_cb()

void linphone_account_creator_service_set_create_push_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The create account request to be used.

## linphone_account_creator_service_set_destructor_cb()

void linphone_account_creator_service_set_destructor_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The destructor.

## linphone_account_creator_service_set_is_account_activated_cb()

void linphone_account_creator_service_set_is_account_activated_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The is account activated request to be used.

## linphone_account_creator_service_set_is_account_exist_cb()

void linphone_account_creator_service_set_is_account_exist_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The is account exist request to be used.

## linphone_account_creator_service_set_is_account_linked_cb()

void linphone_account_creator_service_set_is_account_linked_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The is account linked request to be used.

## linphone_account_creator_service_set_is_alias_used_cb()

void linphone_account_creator_service_set_is_alias_used_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The is alias used request to be used.

## linphone_account_creator_service_set_link_account_cb()

void linphone_account_creator_service_set_link_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The link account request to be used.

## linphone_account_creator_service_set_login_linphone_account_cb()

void linphone_account_creator_service_set_login_linphone_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The login linphone account request to be used.

## linphone_account_creator_service_set_recover_account_cb()

void linphone_account_creator_service_set_recover_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The recover account request to be used.

## linphone_account_creator_service_set_send_token_cb()

void linphone_account_creator_service_set_send_token_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Request an auth token for account creator backend to be sent by push.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The send token request to be used.

## linphone_account_creator_service_set_update_account_cb()

void linphone_account_creator_service_set_update_account_cb | ( | LinphoneAccountCreatorService * | service,
|  | LinphoneAccountCreatorRequestFunc | cb )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  cb | The update account request to be used.

## linphone_account_creator_service_set_user_data()

void linphone_account_creator_service_set_user_data | ( | LinphoneAccountCreatorService * | service,
|  | void * | ud )

Assign a user pointer to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.
  ud | The user pointer to associate with the LinphoneAccountCreatorService object.

## linphone_account_creator_service_unref()

void linphone_account_creator_service_unref | ( | LinphoneAccountCreatorService * | service | ) |

Release a reference to a LinphoneAccountCreatorService object.

Parameters

  service | LinphoneAccountCreatorService object.